Chuyển đến nội dung chính

API Endpoints Reference

Complete reference for ECODATA API endpoints.

Indicators

Get Indicators

GET /api/v1/indicators
ParameterTypeRequiredDescription
sourcestringYesData source (WB, IMF, GSO, etc.)
indicatorstringYesIndicator code
countrystringYesISO 2-letter country code
start_yearintNoStart year
end_yearintNoEnd year

Batch Query

POST /api/v1/indicators/batch
{
"source": "WB",
"indicators": ["NY.GDP.MKTP.CD", "FP.CPI.TOTL.ZG"],
"countries": ["VN", "TH", "ID"],
"start_year": 2020,
"end_year": 2023
}

Metadata

List Sources

GET /api/v1/sources

List Indicators by Source

GET /api/v1/sources/{source_code}/indicators

List Countries

GET /api/v1/countries

Export

Export to CSV

GET /api/v1/export/csv

Export to Excel

GET /api/v1/export/excel

Response Codes

CodeDescription
200Success
400Bad request
401Unauthorized
404Not found
429Rate limit exceeded
500Server error

Full Documentation

Interactive API docs at https://ecodata.khoviet.com/api/docs